Name:           gpointing-device-settings
Version:        1.5.1
Release:        8%{?dist}
Summary:        Configuration tool for pointing devices

Group:          Applications/System
License:        LGPLv3+
URL:            http://live.gnome.org/GPointingDeviceSettings
Source0:        http://dl.sourceforge.jp/gsynaptics/45812/%{name}-%{version}.tar.gz
Source1:        gpointing-device-settings.desktop
Source2:        touchpad.png

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext, intltool
BuildRequires:  GConf2-devel
BuildRequires:  libXi-devel
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-settings-daemon-devel

Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2

# Obsoletes gsynaptics, to be removed in F14
Obsoletes:      gsynaptics < 0.9.17
Provides:       gsynaptics = %{version}-%{release}

# Upstream patch from https://bugzilla.gnome.org/show_bug.cgi?id=613022
Patch0:         gpds-1.5.1-set_tapping_time_from_preference.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=631068
Patch1:         gpds-1.5.1-fix_build_with_gtk22.patch

# https://bugzilla.gnome.org/show_bug.cgi?id=637351
Patch2:         gpsd-1.5.1-fix-build_with_newer_gsd.patch

# Possible fix for https://bugzilla.redhat.com/show_bug.cgi?id=722770
# don't crash, when having no device
Patch3:         gpds-1.5.1-strcmp-no-device.patch

%description
GUI tool for setting pointing device such as TrackPoint or Touchpad. It
allows configuring of various drivers parameters on the fly.
It is a successor of GSynaptics.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel, GConf2-devel, libXi-devel
Requires:       pkgconfig

%description devel
Development headers and libraries for %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
%configure \
        --disable-static \
        --disable-schemas-install \
        --disable-dependency-tracking

# https://fedoraproject.org/wiki/Packaging:Guidelines#Removing_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# Remove useless files
find %{buildroot} -name '*.la' -delete

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1}

install -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/touchpad.png


%clean
rm -rf $RPM_BUILD_ROOT


%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/gpointing-device-settings_gnome_settings_daemon.schemas >/dev/null || :
fi

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gpointing-device-settings_gnome_settings_daemon.schemas >/dev/null || :

%postun -p /sbin/ldconfig

%preun 
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/gpointing-device-settings_gnome_settings_daemon.schemas >/dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS TODO MAINTAINERS COPYING
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/gpointing-device-settings
%{_libdir}/gnome-settings-daemon-2.0/*
%{_libdir}/gpointing-device-settings/
%{_datadir}/gpointing-device-settings/
%{_datadir}/applications/*
%{_datadir}/pixmaps/touchpad.png
%{_libdir}/*.so.*
%{_mandir}/man1/gpointing-device-settings.1.gz


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.5.1-6
- Rebuild for new libpng

* Wed Aug 17 2011 Thomas Spura <tomspur@fedoraproject.org> - 1.5.1-5
- rebuilding because of rpm trailing slash bug:
  https://lists.fedoraproject.org/pipermail/devel/2011-August/155640.html

* Tue Jul 19 2011 Thomas Spura <tomspur@fedoraproject.org> - 1.5.1-4
- don't crash, when having no device #722770

* Fri Dec 10 2010 Gianluca Sforna <giallu@gmail.com> - 1.5.1-3
- Fix build against GTK+ 2.22
- Fix build against newer gnome-settings-daemon

* Mon May 17 2010 Gianluca Sforna <giallu gmail com> - 1.5.1-2
- add patch from upstream for #592786

* Wed Apr 14 2010 Gianluca Sforna <giallu gmail com> - 1.5.1-1
- new upstream release
- drop upstreamed patches

* Mon Sep 28 2009 Gianluca Sforna <giallu gmail com> - 1.3.1-5
- Add patch from upstream

* Wed Sep 23 2009 Gianluca Sforna <giallu gmail com> - 1.3.1-4
- fix .desktop validation issues
- add missing icon from gsynaptics

* Sun Sep 20 2009 Gianluca Sforna <giallu gmail com> - 1.3.1-3
- Don't split libgdps until translations are split as well
- Fix .pc library name
- Fix GConf scriptlets according to guidelines snippets
- Fix obsoletes
- Add .desktop file

* Tue Jul 21 2009 Gianluca Sforna <giallu gmail com> - 1.3.1-2
- Require gnome-settings-daemon
- Fix Source0 URL
- Obsoletes gsynaptics

* Wed Jul  1 2009 Gianluca Sforna <giallu gmail com> - 1.3.1-1
- Initial package
